Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.gena
Class IncomingEventRequestMessage

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<UpnpRequest>
          org.teleal.cling.model.message.StreamRequestMessage
              org.teleal.cling.model.message.gena.IncomingEventRequestMessage

    public class IncomingEventRequestMessage

extends StreamRequestMessage

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`IncomingEventRequestMessage(StreamRequestMessage source, RemoteService service)`

Method Summary
`UnsignedIntegerFourBytes` | `getSequence()`
`RemoteService` | `getService()`
`List<StateVariableValue>` | `getStateVariableValues()`
`String` | `getSubscrptionId()`
`boolean` | `hasNotificationHeaders()`
`boolean` | `hasValidNotificationHeaders()`
`String` | `toString()`

Methods inherited from class org.teleal.cling.model.message.StreamRequestMessage
`getUri`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncomingEventRequestMessage

    public IncomingEventRequestMessage(StreamRequestMessage source,
                                       RemoteService service)

Method Detail

### getService

    public RemoteService getService()

### getStateVariableValues

    public List<StateVariableValue> getStateVariableValues()

### getSubscrptionId

    public String getSubscrptionId()

### getSequence

    public UnsignedIntegerFourBytes getSequence()

### hasNotificationHeaders

    public boolean hasNotificationHeaders()

  Returns:
    `true` if this message as an NT and NTS header.

### hasValidNotificationHeaders

    public boolean hasValidNotificationHeaders()

  Returns:
    `true` if this message has an NT header, and NTS header with value `NotificationSubtype.PROPCHANGE`.

### toString

    public String toString()

  Overrides:
    `toString` in class `UpnpMessage<UpnpRequest>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.